NULL                                 equ 0
GMEM_FIXED                           equ 0h
GMEM_ZEROINIT                        equ 40h
GPTR                                 equ GMEM_FIXED OR GMEM_ZEROINIT
GENERIC_READ                         equ 80000000h
OPEN_EXISTING                        equ 3
FILE_ATTRIBUTE_ARCHIVE               equ 20h
GENERIC_WRITE                        equ 40000000h
CREATE_ALWAYS                        equ 2
MAX_PATH                             equ 260
STILL_ACTIVE		equ 00000103h
INVALID_HANDLE_VALUE                 equ -1

FILETIME STRUCT
  dwLowDateTime     DWORD     ?
  dwHighDateTime    DWORD     ?
FILETIME ENDS

STARTUPINFOA STRUCT
  cb              DWORD ?
  lpReserved      DWORD ?
  lpDesktop       DWORD ?
  lpTitle         DWORD ?
  dwX             DWORD ?
  dwY             DWORD ?
  dwXSize         DWORD ?
  dwYSize         DWORD ?
  dwXCountChars   DWORD ?
  dwYCountChars   DWORD ?
  dwFillAttribute DWORD ?
  dwFlags         DWORD ?
  wShowWindow     WORD ?
  cbReserved2     WORD ?
  lpReserved2     DWORD ?
  hStdInput       DWORD ?
  hStdOutput      DWORD ?
  hStdError       DWORD ?
STARTUPINFOA ENDS

STARTUPINFO equ <STARTUPINFOA>

PROCESS_INFORMATION STRUCT
  hProcess      DWORD      ?
  hThread       DWORD      ?
  dwProcessId   DWORD      ?
  dwThreadId    DWORD      ?
PROCESS_INFORMATION ENDS

WIN32_FIND_DATA STRUCT
  dwFileAttributes      DWORD      ?
  ftCreationTime        FILETIME <>
  ftLastAccessTime      FILETIME <>
  ftLastWriteTime       FILETIME <>
  nFileSizeHigh         DWORD      ?
  nFileSizeLow          DWORD      ?
  dwReserved0           DWORD      ?
  dwReserved1           DWORD      ?
  cFileName             BYTE MAX_PATH dup(?)
  cAlternate            BYTE 14 dup(?)
WIN32_FIND_DATA ENDS

CloseHandle PROTO :DWORD
CreateFileA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
CreateFile equ <CreateFileA>

CreateProcessA PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
CreateProcess equ <CreateProcessA>

DeleteFileA PROTO :DWORD
DeleteFile equ <DeleteFileA>

ExitProcess PROTO :DWORD
FindClose PROTO :DWORD
FindFirstFileA PROTO :DWORD,:DWORD
FindFirstFile equ <FindFirstFileA>

FindNextFileA PROTO :DWORD,:DWORD
FindNextFile equ <FindNextFileA>

GetExitCodeProcess PROTO :DWORD,:DWORD
GlobalAlloc PROTO :DWORD,:DWORD
GlobalFree PROTO :DWORD
ReadFile PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
WriteFile PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD
lstrcatA PROTO :DWORD,:DWORD
lstrcat equ <lstrcatA>

lstrcpyA PROTO :DWORD,:DWORD
lstrcpy equ <lstrcpyA>

lstrlenA PROTO :DWORD
lstrlen equ <lstrlenA>

wsprintfA PROTO C :DWORD,:VARARG
wsprintf equ <wsprintfA>

ArgClC PROTO :DWORD,:DWORD
StdOut PROTO :DWORD